Bug 56573 - System upgrade from 7.1 - overwrites files belonging to Metro Link Motif version 2.1
Summary: System upgrade from 7.1 - overwrites files belonging to Metro Link Motif vers...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lesstif   
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-21 05:45 UTC by Need Real Name
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-26 20:18:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-11-21 05:45:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010808

Description of problem:
During system upgrade from 7.1 to 7.2 - Metro Link Motif packages,
already on system are corrupted when the upgrade process installs
LessTif.  Specifically, the file /usr/bin/mwm belonging to package
motif-mwm-2.1-2glibc is overwritten by the LessTiff version of that file.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.Get 7.1. Without LessTif.
2.Install motif from Metro Link (window manager, libraries, development files).
3.Upgrade to 7.2 - Lesstiff selected to satisfy dependencies.
	

Actual Results:  System upgrade happened normally, but found that the Metro
link
Motif Window Manager had been replaced by the LessTiff version.

Expected Results:  A conflict between Lesstif and Metro Link Motif RPM
packages should
have been detected during the upgrade process - the Metro Link Motif
package should not have been corrupted.

Additional info:

Comment 1 Ngo Than 2001-11-26 18:36:13 UTC
i don't know about motif from metrolink. we don't have it in our RHL.
To fix this problem, i need more infos about motif packages from metrolink.
Please give name of motif packages and the output of rpm -qpl motif-packages-name


Comment 2 Need Real Name 2001-11-26 20:18:12 UTC
$ rpm -qa | grep motif
motif-2.1-2glibc
motif-devel-2.1-2glibc
motif-mwm-2.1-2glibc


The package being corrupted is "motif-mwm-2.1-2glibc".

$ rpm -qil motif-mwm
Name        : motif-mwm                    Relocations: (not relocateable)
Version     : 2.1                               Vendor: Metro Link Incorporated
Release     : 2glibc                        Build Date: Tue Feb 10 11:34:47 1998
Install date: Wed Oct 24 00:57:11 2001      Build Host: build-lin40g.metrolink.com
Group       : X11                           Source RPM: motif-mwm-2.1-2glibc.src.rpm
Size        : 323994                           License: Commercial
Summary     : Motif 2.1 window manager
Description :
This packages contains the popular Motif Window Manager, `mwm'.
/etc/X11/system.mwmrc
/usr/X11R6/bin/mwm
/usr/X11R6/lib/X11/app-defaults/Mwm
/usr/X11R6/man/man1/mwm.1x
/usr/X11R6/man/man5/mwmrc.5x









Comment 3 Ngo Than 2001-11-29 09:50:31 UTC
It's fixed in lesstif-0.93.15-2. You will find it in next rawhide release


Note You need to log in before you can comment on or make changes to this bug.